View Issue Details

IDProjectCategoryView StatusLast Update
0005496Multi Theft Auto : San AndreasServerpublic2011-08-15 18:59
ReporterGRascmAssigned Toccw 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0005496: [REQUEST] setPedAnimationProgress scripting function
Description

I very need such scripting function.

There is SCM scripting opcode 0x0614(0614: set_actor $PLAYER_ACTOR animation "GYM_BP_DOWN" progress_to $1822 // 0.0 to 1.0)

It call function with address 0x04CEA80, wich actually sets the animation progress, I found out that function take one argument of type float, and it a member of some ingame class.

I think that such function must be used, to sync animation progress on streaming players(when for example, I am teleport to player with animation.)

TagsNo tags attached.

Relationships

child of 0003344 closed New Feature Requests Requested features tracker 

Activities

Maccer

2010-07-24 12:59

viewer   ~~0011819

Last edited: 2010-07-24 13:07

I think that such function must be used, to sync animation progress on
streaming players(when for example, I am teleport to player with animation.)

Actually, with the help of Jenksta and I, we've managed to fix this in 1.1. Animations aren't synced yet though.

And I don't understand what you mean by progress, do you want to manipulate the frame position / time of an animation?

--
Edit: Oh, I see what you mean. You are talking about the frame position.

Thanks for the tip, and is there an available function call that gets the position?

GRascm

2010-07-24 18:35

viewer   ~~0011820

Last edited: 2010-07-24 18:59

Thanks for the tip, and is there an available function call that gets the position

There is SCM scripting opcode 0x0839(0839: get_object 119@(214@,3i) animation "BD_FIRE1" progress_to 295@)
and if go deep in asm, i think there will be function to get position, but i am not very good in ASM, i am use this (http://public.sannybuilder.com/gtasa_exe_idb/gta_sa_idb_20091205.rar) IDA database to see some needed functions, but there nothing about it :(


Edit:
Opcode processed on address 0x470B2C, function getting the animation progress is 0x4D6870 i think, but i am not sure. Some later i think will give some more useful information

GRascm

2011-08-14 03:15

viewer   ~~0014270

I can't upload patch directly, that's why i uplodede it on mediafire:

http://www.mediafire.com/?w73758y5tm0l5hm

Added clientside and serverside SetPedAnimationProgress functions
Tested with script
http://pastebin.com/ZfXGBeyz

Works fine

Picard

2011-08-15 01:55

updater   ~~0014286

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3002 )

Issue History

Date Modified Username Field Change